package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.AttachmentWithMsgResult;
import com.tzld.piaoquan.growth.common.model.po.AttachmentWithMsgResultExample;
import java.util.List;

import com.tzld.piaoquan.growth.common.model.po.HistoryMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface AttachmentWithMsgResultMapper {
    long countByExample(AttachmentWithMsgResultExample example);

    int deleteByExample(AttachmentWithMsgResultExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AttachmentWithMsgResult record);

    int insertSelective(AttachmentWithMsgResult record);

    List<AttachmentWithMsgResult> selectByExample(AttachmentWithMsgResultExample example);

    AttachmentWithMsgResult selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AttachmentWithMsgResult record, @Param("example") AttachmentWithMsgResultExample example);

    int updateByExample(@Param("record") AttachmentWithMsgResult record, @Param("example") AttachmentWithMsgResultExample example);

    int updateByPrimaryKeySelective(AttachmentWithMsgResult record);

    int updateByPrimaryKey(AttachmentWithMsgResult record);

    void insertList(@Param("list") List<AttachmentWithMsgResult> list);
}